chore(cleanup): log compression test does not belong

It is a feature and best tested in Forgejo itself, not in
end-to-end. It is a recurring source of false negative and there is
little to no value is fixing the associated border case because it
only applies to short lived Forgejo instances used during tests.

Fixes: https://code.forgejo.org/forgejo/end-to-end/issues/431
This commit is contained in:
Earl Warren 2025-01-11 18:05:32 +01:00
parent dbe50bffc7
commit dacb3b0fac
No known key found for this signature in database
GPG key ID: 0579CB2928A78A00
2 changed files with 1 additions and 23 deletions

View file

@ -126,13 +126,6 @@ function test_actions() {
log_info "Testing actions with Forgejo $version & Forgejo runner $runner_version" log_info "Testing actions with Forgejo $version & Forgejo runner $runner_version"
run actions_verify_example echo
if dpkg --compare-versions $version ge 9.0; then
# depends on run actions_verify_example echo
# run it immediately after
run actions_verify_feature logs-compression
fi
run actions_verify_example with-docker-tcp run actions_verify_example with-docker-tcp
if dpkg --compare-versions $runner_version gt 5.0.2; then if dpkg --compare-versions $runner_version gt 5.0.2; then
for example in with-docker-host with-docker-socket without-docker-socket; do for example in with-docker-host with-docker-socket without-docker-socket; do
@ -150,7 +143,7 @@ function test_actions() {
done done
fi fi
for example in config-options cache checkout service container expression local-action docker-action if if-fail push tag push-cancel artifacts pull-request context; do for example in echo config-options cache checkout service container expression local-action docker-action if if-fail push tag push-cancel artifacts pull-request context; do
run actions_verify_example $example run actions_verify_example $example
done done

View file

@ -1,15 +0,0 @@
#!/bin/bash
set -e
source $FEATURE_DIR/../../lib/lib.sh
source $FEATURE_DIR/../../forgejo/fixtures.sh
if ! retry bash -c "find $DIR/forgejo-work-path/data/actions_log/root/example-echo | grep --quiet log.zst"; then
(
cd $DIR/forgejo-work-path
find data
)
echo expected a single log.zst file in data/actions_log/root/example-echo
exit 1
fi